Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.operation
Class WPVSGetCapabilities

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.getcapabilities.GetCapabilities
              org.deegree.ogcwebservices.wpvs.operation.WPVSGetCapabilities

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class WPVSGetCapabilities

extends GetCapabilities

...

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Ugo Taddei, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`WPVSGetCapabilities(String id, String version, String updateSeq, String[] acceptedVersions, String[] sections, String[] acceptedFormats, Map<String,String> vendoreSpec)` Creates a `WPVSGetCapabilities` object.

Method Summary
`static WPVSGetCapabilities` | `create(Map<String,String> paramMap)` Creates a `WPVSGetCapabilites` request from a key-value-pairs in `paramMap`.
`String` | `getServiceName()` returns 'WPVS' as service name.

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.GetCapabilities
`getAcceptFormats, getAcceptVersions, getSections, getUpdateSequence`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WPVSGetCapabilities

    public WPVSGetCapabilities(String id,
                               String version,
                               String updateSeq,
                               String[] acceptedVersions,
                               String[] sections,
                               String[] acceptedFormats,
                               Map<String,String> vendoreSpec)

  Creates a `WPVSGetCapabilities` object.

  Parameters:
    `id` -
    `version` -
    `updateSeq` -
    `acceptedVersions` -
    `sections` -
    `acceptedFormats` -
    `vendoreSpec` - TODO check if all pars are needed for WPV Service

Method Detail

### create

    public static WPVSGetCapabilities create(Map<String,String> paramMap)
                                      throws MissingParameterValueException,
                                             InvalidParameterValueException

  Creates a `WPVSGetCapabilites` request from a key-value-pairs in `paramMap`.

  Parameters:
    `paramMap` - Map containing te request parameters
  Returns:
    an new instance of a WPVSGetCapabilities request.
  Throws:
    `MissingParameterValueException` - if there is a parameter missing
    `InvalidParameterValueException` - if one of the parameters has an invalid value

### getServiceName

    public String getServiceName()

  returns 'WPVS' as service name.

  Returns:
    the name of the service that is targeted by the request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org